Orxonox: orxonox::EmptyHandler Class Reference

# orxonox::EmptyHandler Class Reference

`#include <src/core/input/InputInterfaces.h>`

Inheritance diagram for orxonox::EmptyHandler:

List of all members.

## Private Member Functions

| EmptyHandler (EmptyHandler &)
| EmptyHandler ()
void | joyStickAxisMoved (unsigned int joyStickID, unsigned int axis, float value)
void | joyStickButtonHeld (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)
void | joyStickButtonPressed (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)
void | joyStickButtonReleased (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)
void | keyHeld (const KeyEvent &evt)
void | keyPressed (const KeyEvent &evt)
void | keyReleased (const KeyEvent &evt)
void | mouseButtonHeld (MouseButtonCode::ByEnum id)
void | mouseButtonPressed (MouseButtonCode::ByEnum id)
void | mouseButtonReleased (MouseButtonCode::ByEnum id)
void | mouseMoved (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize)
void | mouseScrolled (int abs, int rel)
void | updateInput (float dt)
void | updateJoyStick (float dt, unsigned int joyStick)
void | updateKey (float dt)
void | updateMouse (float dt)
virtual | ~EmptyHandler ()

## Friends

class | InputManager

## Constructor & Destructor Documentation

orxonox::EmptyHandler::EmptyHandler | ( |  | ) | `[inline, private]`

orxonox::EmptyHandler::EmptyHandler | ( | EmptyHandler & |  | ) | `[private]`

virtual orxonox::EmptyHandler::~EmptyHandler | ( |  | ) | `[inline, private, virtual]`

## Member Function Documentation

void orxonox::EmptyHandler::joyStickAxisMoved | ( | unsigned int | joyStickID,
|  | unsigned int | axis,
|  | float | value |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::JoyStickHandler.

void orxonox::EmptyHandler::joyStickButtonHeld | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::JoyStickHandler.

void orxonox::EmptyHandler::joyStickButtonPressed | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::JoyStickHandler.

void orxonox::EmptyHandler::joyStickButtonReleased | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::JoyStickHandler.

void orxonox::EmptyHandler::keyHeld | ( | const KeyEvent & | evt | ) | `[inline, private, virtual]`

Implements orxonox::KeyHandler.

void orxonox::EmptyHandler::keyPressed | ( | const KeyEvent & | evt | ) | `[inline, private, virtual]`

Implements orxonox::KeyHandler.

void orxonox::EmptyHandler::keyReleased | ( | const KeyEvent & | evt | ) | `[inline, private, virtual]`

Implements orxonox::KeyHandler.

void orxonox::EmptyHandler::mouseButtonHeld | ( | MouseButtonCode::ByEnum | id | ) | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

void orxonox::EmptyHandler::mouseButtonPressed | ( | MouseButtonCode::ByEnum | id | ) | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

void orxonox::EmptyHandler::mouseButtonReleased | ( | MouseButtonCode::ByEnum | id | ) | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

void orxonox::EmptyHandler::mouseMoved | ( | IntVector2 | abs,
|  | IntVector2 | rel,
|  | IntVector2 | clippingSize |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

void orxonox::EmptyHandler::mouseScrolled | ( | int | abs,
|  | int | rel |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

void orxonox::EmptyHandler::updateInput | ( | float | dt | ) | `[inline, private, virtual]`

Implements orxonox::InputHandler.

void orxonox::EmptyHandler::updateJoyStick | ( | float | dt,
|  | unsigned int | joyStick |
| ) |  |  | `[inline, private, virtual]`

Implements orxonox::JoyStickHandler.

void orxonox::EmptyHandler::updateKey | ( | float | dt | ) | `[inline, private, virtual]`

Implements orxonox::KeyHandler.

void orxonox::EmptyHandler::updateMouse | ( | float | dt | ) | `[inline, private, virtual]`

Implements orxonox::MouseHandler.

## Friends And Related Function Documentation

friend class InputManager`[friend]`

The documentation for this class was generated from the following file:

- src/core/input/InputInterfaces.h